Webhook
Get organizations project webhooks
get
/organizations/{organizationId}/projects/{projectId}/settings/webhooks
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$projectIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$Responses
200
OK
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
get
/organizations/{organizationId}/projects/{projectId}/settings/webhooksCreate a organization project webhook
post
/organizations/{organizationId}/projects/{projectId}/settings/webhooks
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$projectIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$Body
namestringRequiredExample:
Webhook name
<name>urlstringRequiredExample:
Webhook URL
<url>headersobjectOptional
Webhook headers
activebooleanOptionalDefault:
Webhook active status
trueExample: <active>eventsstring[]RequiredExample:
Webhook events
["deployment.build.created"]Responses
201
OK
application/json
_idstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$namestring · min: 2 · max: 100Required
Project name
slugstring · min: 2 · max: 100RequiredPattern:
Slug
^[a-z0-9-]{2,100}$descriptionstring · max: 255Optional
Project description
organizationstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$credentialobjectOptional
additionalCredentialsobjectOptional
statusstring · enumRequiredDefault:
Project status
draftPossible values: lastActivityAtstring · date-timeRead-onlyOptional
Date
appIconUrlstringOptional
Project app icon URL
createdAtstring · date-timeRead-onlyRequired
Date
updatedAtstring · date-timeRead-onlyRequired
Date
400
Bad Request
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
post
/organizations/{organizationId}/projects/{projectId}/settings/webhooksGet organizations a project webhook
get
/organizations/{organizationId}/projects/{projectId}/settings/webhooks/{webhookId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$projectIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$webhookIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$Responses
200
OK
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
get
/organizations/{organizationId}/projects/{projectId}/settings/webhooks/{webhookId}Delete a project webhook
delete
/organizations/{organizationId}/projects/{projectId}/settings/webhooks/{webhookId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$projectIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$webhookIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$Responses
204
No Content
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not Found
application/json
delete
/organizations/{organizationId}/projects/{projectId}/settings/webhooks/{webhookId}No content
Update a project webhook
patch
/organizations/{organizationId}/projects/{projectId}/settings/webhooks/{webhookId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$projectIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$webhookIdstringRequiredPattern:
Entity ID
^[0-9a-fA-F]{24}$Body
namestringOptionalExample:
Webhook name
<name>urlstringOptionalExample:
Webhook URL
<url>headersobjectOptional
Webhook headers
activebooleanOptionalDefault:
Webhook active status
trueExample: <active>eventsstring[]OptionalExample:
Webhook events
["deployment.build.created"]Responses
200
OK
application/json
400
Bad Request
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not Found
application/json
patch
/organizations/{organizationId}/projects/{projectId}/settings/webhooks/{webhookId}Last updated
Was this helpful?

